Package io.github.jdbcx.shell

# Class ShellDriverExtension

java.lang.Object
io.github.jdbcx.shell.ShellDriverExtension

All Implemented Interfaces:
  `DriverExtension`

public class ShellDriverExtension extends Object implements DriverExtension

## Constructor Summary

Constructors
Constructor
Description
`ShellDriverExtension()`

## Method Summary

Modifier and Type
Method
Description
`ConnectionListener`
`createListener(Connection conn, String url, Properties props)`
Creates a connection listener.
`List<Option>`
`getOptions(Properties props)`
Gets options available for this extension.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface io.github.jdbcx.DriverExtension

`getConfig, getDefaultConfig, getDefaultOptions`

## Constructor Details

### ShellDriverExtension

public ShellDriverExtension()

## Method Details

### getOptions

public List<Option> getOptions(Properties props)
Description copied from interface: `DriverExtension`
Gets options available for this extension.

Specified by:
  `getOptions` in interface `DriverExtension`
Parameters:
  `props` - optional connection properties, could be null
Returns:
  non-null options for this extension

### createListener

public ConnectionListener createListener(Connection conn, String url, Properties props)
Description copied from interface: `DriverExtension`
Creates a connection listener.

Specified by:
  `createListener` in interface `DriverExtension`
Parameters:
  `conn` - connection to listen
  `url` - connection string
  `props` - connection properties
Returns:
  non-null connection listener